package com.unipi.talepis;

import java.util.ArrayList;
import java.util.List;

public class Drawing implements Shape{
    private List<Shape> shapeList = new ArrayList<>();
    public void addToList(Shape shape){
        shapeList.add(shape);
    }
    public void removeFromList(Shape shape){
        shapeList.remove(shape);
    }

    @Override
    public void draw(String color) {
        for (int i = 0; i<shapeList.size(); i++){
            shapeList.get(i).draw(color);
        }
    }
}
